php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Doc Bug #76191 php.exe can not be started
Submitted: 2018-04-06 10:44 UTC Modified: 2018-04-06 11:24 UTC
From: max at dtksoft dot com Assigned: cmb (profile)
Status: Closed Package: *General Issues
PHP Version: 7.2.4 OS: MS Windows Server 2008 SP2
Private report: No CVE-ID: None
 [2018-04-06 10:44 UTC] max at dtksoft dot com
Description:
------------
Hello,

We have build an application based on apache+php and testing all supported OS. We have updated both products to the latest versions:
httpd-2.4.33-win64-VC15 (Apache Lounge)
php-7.2.4-Win32-VC15-x64

After that we can't start our product because of this error:

"The Apache service named  reported the following error:
>>> httpd.exe: Syntax error on line 182 of C:/Program Files/DTK Software/DTK LPR/apache/conf/httpd.conf: Cannot load php/php7apache2_4.dll into server: The specified procedure could not be found."

After investigation we have concluded that "php.exe" can not be started but only on MS Windows Server 2008 SP2 (important not 2008 R2), but previous version 7.1.16 of "php.exe" does work fine on this OS.

Screenshot uploaded to: https://imgur.com/a/UolSJ

Could you please investigate.

Test script:
---------------
Requirements:
- MS Windows Server 2008 SP2 (important that it is not 2008 R2)
- php-7.2.4-Win32-VC15-x64

1) Run Command Prompt
2) locate php-7.2.4-Win32-VC15-x64 folder
3) run php.exe -a command


Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2018-04-06 11:21 UTC] cmb@php.net
-Status: Open +Status: Verified -Type: Bug +Type: Documentation Problem -Package: memcache +Package: *General Issues -Assigned To: +Assigned To: cmb
 [2018-04-06 11:21 UTC] cmb@php.net
As of PHP 7.2.0, the minimum supported versions are Windows
7/Server 2008 R2[1], which is not properly documented as
Windows installation requirement[2].

[1] <http://www.php.net/manual/en/migration72.incompatible.php#migration72.incompatible.windows-support>
[2] <http://www.php.net/manual/en/install.windows.requirements.php>
 [2018-04-06 11:24 UTC] max at dtksoft dot com
-Status: Verified +Status: Closed
 [2018-04-06 11:24 UTC] max at dtksoft dot com
Ok, thank you for quick answer, now everything is clear and request can be closed.
 [2018-04-06 11:31 UTC] cmb@php.net
Automatic comment from SVN on behalf of cmb
Revision: http://svn.php.net/viewvc/?view=revision&amp;revision=344623
Log: Fix #76191: php.exe can not be started
 
PHP Copyright © 2001-2018 The PHP Group
All rights reserved.
Last updated: Mon Dec 17 02:01:26 2018 UTC